import { useCallback } from "react";
import { useMaterialStore } from "../../../../../store/simulation/useMaterialStore";

export function useSwapHandler() {
    const { getMaterialById, setMaterial } = useMaterialStore();

    const swapLogStatus = (materialUuid: string, status: string) => {
        // console.log(`${materialUuid}, ${status}`);
    }

    const handleSwap = useCallback((action: ConveyorAction, materialId?: string) => {
        if (!action || action.actionType !== 'swap' || !materialId) return;

        const { material: newMaterialType } = action;
        const material = getMaterialById(materialId);
        if (!material) return;

        setMaterial(material.materialId, newMaterialType);
        swapLogStatus(material.materialId, `Swapped to ${newMaterialType}`);

    }, [getMaterialById, setMaterial]);

    return {
        handleSwap,
    };
}