import RoboticArmInstance from "./armInstance/roboticArmInstance";
import { useArmBotStore } from "../../../../store/simulation/useArmBotStore";
import RoboticArmContentUi from "../../ui3d/RoboticArmContentUi";
import React from "react";

function RoboticArmInstances() {
  const { armBots } = useArmBotStore();

  return (
    <>
      {armBots?.map((robot: ArmBotStatus) => (
        <React.Fragment key={robot.modelUuid}>
          <RoboticArmInstance armBot={robot} />
          <RoboticArmContentUi roboticArm={robot} />
        </React.Fragment>
      ))}
    </>
  );
}

export default RoboticArmInstances;
